<template>
	<div id="app">
		<page-header></page-header>
		<film-page-section></film-page-section>
		<trending-page-section class="trending-section"></trending-page-section>
		<genres-page/>
		<actors-page/>
		<div class="add">
			<img src="@/assets/images/addBanner.png" alt="add-banner" class="add-banner">
		</div>
		<register-banner/>
		<page-footer class="footer"/>
	</div>
</template>

<script>

import pageHeader from "@/components/page-parts/header/page-header";
import filmPageSection from "@/components/page-parts/film-section/film-page-section";
import trendingPageSection from "@/components/page-parts/trending-section/trending-page-section";
import genresPage from "@/components/page-parts/genres-page/genres-page";
import actorsPage from "@/components/page-parts/actors-part/actors-page";
import registerBanner from "@/components/UI/register-banner";
import pageFooter from "@/components/page-parts/footer/page-footer";

export default {
    name: 'App',
	data() {
		return {

		}
	},
	components: {
		pageHeader,
		filmPageSection,
		trendingPageSection,
		genresPage,
		actorsPage,
		registerBanner,
		pageFooter,
	},
	methods: {

	},

}
</script>

<style>
* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

#app {
	background-color: #010101;
}

.trending-section {
	padding-bottom: 100px;
}

.add {
	display: flex;
	justify-content: center;
	margin-bottom: 100px;
}

</style>
